GenericStandaloneGraph
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.abstracts
Class GenericStandaloneGraph

    java.lang.Object
      ApplicationFrame
          org.gcube.contentmanagement.graphtools.abstracts.GenericStandaloneGraph

Direct Known Subclasses:
  GaussianDistributionGraph, HistogramGraph, LineGraph, NumericSeriesGraph, PieGraph, RadarGraph, ScatterGraphGeneric, ScatterGraphNumeric, TimeSeriesGraph, TransectLineGraph

    public abstract class GenericStandaloneGraph

extends ApplicationFrame

Constructor Summary
`GenericStandaloneGraph(java.lang.String title)`

Method Summary
`void` | `render(Dataset set)`
`void` | `render(double x, double y, Dataset set)`
`void` | `renderGraphGroup(GraphGroups graphgroups)`
`java.util.List<java.awt.Image>` | `renderGraphGroupImage(int width, int height, GraphGroups graphgroups)`
`void` | `renderImages(java.lang.String filePath, int width, int height, GraphGroups graphgroups)`
`java.awt.Image` | `renderImgObject(int width, int height, Dataset set)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericStandaloneGraph

    public GenericStandaloneGraph(java.lang.String title)

Method Detail

### render

    public void render(Dataset set)

### render

    public void render(double x,
                       double y,
                       Dataset set)

### renderGraphGroupImage

    public java.util.List<java.awt.Image> renderGraphGroupImage(int width,
                                                                int height,
                                                                GraphGroups graphgroups)

### renderImages

    public void renderImages(java.lang.String filePath,
                             int width,
                             int height,
                             GraphGroups graphgroups)

### renderImgObject

    public java.awt.Image renderImgObject(int width,
                                          int height,
                                          Dataset set)

### renderGraphGroup

    public void renderGraphGroup(GraphGroups graphgroups)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD